/* 
  ATtiny45 
  Network communication
  Bridge
  TinyWire Master Reader
  RX          PB4 Pin 3
  TX          PB3 Pin 4
  SCK / SCL   PB2 Pin 2
  MISO        PB1 Pin 1
  MOSI / SDA  PB0 Pin 0
*/

#include <TinyWireM.h>
#include <SoftwareSerial.h>
#define rx 3
#define tx 4

SoftwareSerial mySerial(rx, tx);

#define Bridge 0x26

int communication = 0;

void setup() {
  pinMode(rx, INPUT);     
  pinMode(tx, OUTPUT);    
  TinyWireM.begin();
  mySerial.begin(9600);
}

void loop() {
  if (mySerial.available() > 0){
    mySerial.println("Online");
    int communication = mySerial.read();
    mySerial.println("Starting Transmission");
    TinyWireM.beginTransmission(Bridge);
    TinyWireM.send(communication);
    TinyWireM.endTransmission(); 
    mySerial.println("Ending Trasmission");
  }
}



